import { OnInit, DoCheck, SimpleChanges, OnChanges } from "@angular/core";
import { ItemService } from "../../item-service/item-service.service";
import { FormBuilder, FormGroup } from "@angular/forms";
export declare class ClinicalMultipleChoiceComponent implements OnInit, DoCheck, OnChanges {
    private itemService;
    private formBuilder;
    userAnswer: any;
    correctAns: any;
    className: string;
    message: any;
    userResponse: boolean;
    clearAnswer: any;
    assetData: any;
    userSelectedLabel: Array<any>;
    form: FormGroup;
    radioValue: any;
    questionDetails1: any;
    assetPosition: any;
    incorrectRationale: any;
    get questionDetails(): any;
    set questionCurrentData(value: any);
    constructor(itemService: ItemService, formBuilder: FormBuilder);
    examEngineType: string;
    canShowMetadata: boolean;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: any;
    checkQuizSubmission: any;
    preferredTextFormat: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    correctAnswer(): void;
    selectAnswer(option: any): void;
    isUserAnswersCorrect(): boolean;
    clearUserInputs(): void;
    getChoiceClassName(choiceDetails: any): "wk-icon-checkmark green-checkmark" | "wk-icon-close wrong-checkmark" | "wk-icon-checkmark disabled-checkmark";
    valueChanged(): void;
    createQuestion(): void;
}
