import { TemplateRef, OnInit, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { SharedService } from '../../../../shared/service/shared.service';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { BsModalService } from 'ngx-bootstrap/modal';
import { SummaryBase } from '../summary-base';
import { QuizService } from '../../../../shared/service/quiz.service';
import { EmailDetails } from '../../../../shared/models/email-content.model';
import { SummaryData, EmailTemplate } from '../../../../shared/models';
export declare class SummaryHeaderDetailsComponent extends SummaryBase implements OnInit, OnChanges {
    sharedService: SharedService;
    private modalService;
    private quizService;
    Editor: any;
    modalRef: BsModalRef;
    completedDate: string;
    timeSpent: number;
    totalQuestions: number;
    totalCorrect: number;
    totalAnswered: number;
    summaryPredefinedText: SummaryData;
    summaryDisplay: number;
    sendSuccess: boolean;
    sendError: boolean;
    isSubmitDisabled: boolean;
    myColumnNames: string[];
    myOptions: {
        colors: string[];
        is3D: boolean;
    };
    myData: any;
    summaryData: any;
    clientDetails: any;
    sendMailData: EmailDetails;
    render: boolean;
    options: {
        floor: number;
        ceil: number;
        showSelectionBar: boolean;
        hideLimitLabels: boolean;
        hidePointerLabels: boolean;
        getSelectionBarColor: (value: number) => string;
    };
    pageLoader: boolean;
    myTitle: any;
    instanceData: any;
    reportContentErrorDetails: EventEmitter<any>;
    reportMailContentDetails: EventEmitter<any>;
    question: any;
    templateDataDetails: EmailTemplate;
    mailSuccessDataDetails: number;
    activeThem: string;
    ngOnChanges(changes: SimpleChanges): void;
    constructor(sharedService: SharedService, modalService: BsModalService, quizService: QuizService);
    ngOnInit(): void;
    initialLoadForsummaryData(data: any): void;
    getTotalCorrectPrecent(): string;
    reportContentErrorTemplate(template: TemplateRef<any>): Promise<void>;
    reportContentError(template: TemplateRef<any>): void;
    sendmail(): void;
}
