import { UserAttemptDetails } from './user-attempt-details.model';
import { ItemRef } from './item-ref.model';
import { SelectedMetaDetails } from './selected-meta-details.model';
import { Asset } from './assets.model';
import { ChoiceInteraction } from './choice-interaction.model';
import { Remediation } from './remediation-links.model';
import { ModelFeedback } from './model-feedback.model';
export interface CurrentData {
    id: number;
    itemRefId: number;
    itemType: number;
    itemTypeName: string;
    labelText: string;
    status: string;
    steward: number;
    existSteward: number;
    identifier: string;
    version: number;
    label: string;
    promptText: string;
    timeDependent: boolean;
    timeLimit: number;
    adaptive: boolean;
    score: number;
    difficulty: number;
    toolName: string;
    toolVersion: number;
    isDeleted: boolean;
    template: number;
    isExhibit: number;
    statusId: number;
    stewardName: string;
    richPromptText: string;
    userId: number;
    modelFeedback: ModelFeedback[];
    rationaleAssetsPosition: string;
    remediationLinks: Remediation[];
    choiceInteraction: ChoiceInteraction[];
    assets: Asset[];
    assetsPosition: string;
    metadataAssoc: any[];
    metadataPrev: string[];
    selectedMetaDetails: SelectedMetaDetails[];
    sequence: number;
    nextItemId: ItemRef[];
    previousItemId: ItemRef[];
    userAttemptDetails: UserAttemptDetails;
}
