import { ModelFeedback } from './model-feedback.model';
import { ParentDetails } from './parent-details.model';
import { ChoiceInteraction } from './choice-interaction.model';
import { Remediation } from './remediation-links.model';
import { Asset } from './assets.model';
import { SimpleChoicesModel } from './simple-choices.model';
import { GraphicInteraction } from './graphic-intraction.model';
import { SummaryDetails } from './summary-details.model';
export interface SummaryData {
    details: SummaryDetails;
    questionData: SummaryData;
    itemResponse: SummaryDetails;
    id: number;
    itemRefId: number;
    itemType: number;
    itemTypeName: string;
    labelText: string;
    status: string;
    steward: number;
    existSteward: number;
    version: number;
    label: string;
    promptText: string;
    score: number;
    difficulty: number;
    isDeleted: boolean;
    template: number;
    isExhibit: number;
    statusId: number;
    stewardName: string;
    richPromptText: string;
    userId: number;
    parentId: number;
    parentRefId: number;
    parentItemType: number;
    parentLabelText: string;
    parentDetails: ParentDetails;
    modelFeedback: ModelFeedback[];
    rationaleAssetsPosition: string;
    remediationLinks: Remediation[];
    choiceInteraction: ChoiceInteraction;
    graphicInteraction: GraphicInteraction;
    sequence: number;
    userResponse: string[];
    questionTimeSpent: number;
    isCorrect: number;
    preferredTextFormat: number;
    rationale: string;
    correct: boolean;
    assetsPosition: string;
    selectedAnswer: SimpleChoicesModel[];
    assets: Asset[];
    textEntryInteraction: GraphicInteraction;
    totalQuestions: number;
    totalCorrect: number;
}
