import { SummaryData } from './summary-data.model';
export interface SummaryDetails {
    testType: string;
    testIdentifier: string;
    totalTimeSpent: string;
    testStatus: string;
    totalCorrect: number;
    totalUnattempted: number;
    totalIncorrect: number;
    totalQuestions: number;
    testStart: string;
    testLastAttempted: string;
    testCompletedDate: string;
    summaryDisplay: number;
    summaryPredefinedText: string;
    itemResponse: QuestionData;
    questionTime: string;
}
export interface QuestionData {
    questionData: SummaryData[];
}
