export interface Theme {
    id: number;
    name: string;
    properties: any;
}
export declare enum ThemesEnum {
    BlueTheme = 1,
    GreenTheme = 2
}
export declare enum FontSizeEnum {
    SmallFont = "16px",
    MediumFont = "18px",
    LargeFont = "20px"
}
export declare const appThemesData: {
    id: number;
    name: string;
    properties: {
        '--primary-color': string;
        '--secondary-color': string;
        '--tertiary-color': string;
        '--text-color': string;
    };
}[];
export declare const invertThemeProperties: {
    '--primary-color': string;
    '--secondary-color': string;
    '--tertiary-color': string;
    '--text-color': string;
};
